Bug 255183 - [exp-run] devel/cmake: Update to 3.20.1
Summary: [exp-run] devel/cmake: Update to 3.20.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-18 13:39 UTC by Adriaan de Groot
Modified: 2021-04-22 21:54 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (kde)
adridg: exp-run?


Attachments
Patch the ports tree (22.29 KB, patch)
2021-04-18 13:39 UTC, Adriaan de Groot
no flags Details | Diff
patch to ports tree (git, -p1) (22.39 KB, patch)
2021-04-19 09:12 UTC, Adriaan de Groot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adriaan de Groot freebsd_committer 2021-04-18 13:39:53 UTC
Created attachment 224222 [details]
Patch the ports tree

kde@ would like to ask for an exp-run for the update to CMake 3.20.1. Patch is attached, applies to git main.
Comment 1 Antoine Brodin freebsd_committer 2021-04-19 08:17:26 UTC
I have this error with git apply:

error: cmake-doc/Makefile: No such file or directory
error: cmake-gui/Makefile: No such file or directory
error: cmake/Makefile: No such file or directory
error: cmake/distinfo: No such file or directory
error: cmake/files/patch-Modules_FindBoost.cmake: No such file or directory
error: cmake/files/patch-Modules_FindFLEX.cmake: No such file or directory
error: cmake/files/patch-Modules_FindOpenMP.cmake: No such file or directory
error: cmake/files/patch-Modules_FindSDL.cmake: No such file or directory
error: cmake/files/patch-cmake-issue-18031: No such file or directory
error: cmake/files/patch-cmake-issue-21408: No such file or directory
error: cmake/pkg-plist: No such file or directory
error: kms-cmake-utils/Makefile: No such file or directory
Comment 2 Adriaan de Groot freebsd_committer 2021-04-19 09:10:58 UTC
`patch -p0` . Or, I'll attach a newer version with the `a/` and `b/` gunk and you can `patch -p1` as you expect.

There's a git setting (diff.noprefix) that controls the gunk, and I normally have the gunk turned off for consistency between SVN diff and git diff and plain diff.
Comment 3 Adriaan de Groot freebsd_committer 2021-04-19 09:12:02 UTC
Created attachment 224245 [details]
patch to ports tree (git, -p1)

Re-generated with git `a/` and `b/` gunk.
Comment 5 Adriaan de Groot freebsd_committer 2021-04-22 21:54:57 UTC
I've resolved those two failures (evolution was fixed upstream already; the mysql-connector has multiple vulnerabilities and makes me wonder if it's worth saving, but I fixed it anyway).

Landed in 943e7f612560f35caff6298fbf5ec6ecf7b4d1f7, but I forgot to refer to this PR in it. Thanks for the exp-runs.